#
# quick2.rb
#   $Id: quick2.rb,v 1.2 2000/11/18 19:03:42 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math

NMAX = 400
DT = PI/(NMAX-1)

x = NArray.sfloat(NMAX)
y = NArray.sfloat(NMAX)

#-- data ----
for n in 0..NMAX-1
  t = DT*n
  x[n] = 1.0e5*sin(6.0*t)
  y[n] = 1.0e-4*cos(14.0*t) + 1.0
end

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

usgrph(x, y)

grcls

