#
# lay1.rb
#   $Id: lay1.rb,v 1.1 2000/11/18 18:57:42 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math

NMAX = 401
JMAX = 51

y = NArray.sfloat(NMAX)

#-- data ----
y0 = 0.5
for n in 0..NMAX-1
  y[n] = 5.0*y0 + 10.0
  y0 = 3.7*y0*(1.0-y0)
end

rundef = glrget('RUNDEF')

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
sldiv('Y', 3, 2)

for i in 1..8

  grfrm

  j = (i-1)*(JMAX-1)
  xmin = j + 1600.0
  xmax = xmin + JMAX - 1

  grswnd(xmin, xmax, rundef, rundef)
  ussttl('TIME', 'YEAR', 'TEMPERATURE', 'DEG')
  usgrph(rundef, y[j..j+JMAX-1])

end

grcls

